#ifndef _CALLIMPL_H
#define _CALLIMPL_H

#include <memory>
#include "Call.h"
#include "CallState.h"
#include <string>

/* GENCODE START
#include <string>
class CallState;
 * GENCODE END */

class CallImpl
{
public:
	CallImpl(unsigned int callid, const string& callingNumber, const string& calledNumber) : m_callid(callid), m_callingNumber(callingNumber), m_calledNumber(calledNumber)
	{
	}
protected:
	unsigned int			m_callid;
	string				m_callingNumber;
	string				m_calledNumber;
	auto_ptr<CallState>		m_state;
};

#endif
