#ifndef _CALLRECORD_H
#define _CALLRECORD_H

class CallRecord 
{
public:
	CallRecord( unsigned int callid, const string& callingNumber, const string& calledNumber ) : m_callid(callid), m_callingNumber(callingNumber), m_calledNumber(calledNumber)
	{
	}
	unsigned int getCallId()
	{
		return m_callid;
	}
	const string& getCallingNumber()
	{
		return m_callingNumber;
	}
	const string& getCalledNumber()
	{
		return m_calledNumber;
	}
private:
	unsigned int 	m_callid;
	string		m_callingNumber;
	string		m_calledNumber;
};

#endif
