#include "LogRecordImpl.h"
LogRecord::~LogRecord() { delete m_impl; }
 LogRecord::LogRecord( Criticality  crit, unsigned int  type, unsigned int  tag, unsigned int  comp, unsigned int  file, unsigned int  line) { m_impl = new LogRecordImpl( crit, type, tag, comp, file, line,  this);  }
 LogRecord::LogRecord( char*  loadData, unsigned int  size) { m_impl = new LogRecordImpl( loadData, size,  this);  }
void LogRecord::insert( unsigned int  name, void*  data, unsigned int  size) { m_impl->insert( name, data, size);  }
void LogRecord::insert( const void*  data, unsigned int  size) { m_impl->insert( data, size);  }
void LogRecord::insert( const string&  s) { m_impl->insert( s);  }
void LogRecord::insert( LogRecordType  type) { m_impl->insert( type);  }
void LogRecord::insert( unsigned int  i) { m_impl->insert( i);  }
string LogRecord::getType() { return m_impl->getType();  }
string LogRecord::getTag() { return m_impl->getTag();  }
string& LogRecord::getCriticality() { return m_impl->getCriticality();  }
string LogRecord::getComponent() { return m_impl->getComponent();  }
string LogRecord::getFile() { return m_impl->getFile();  }
int LogRecord::getLine() { return m_impl->getLine();  }
int LogRecord::getPid() { return m_impl->getPid();  }
string LogRecord::getTime() { return m_impl->getTime();  }
unsigned int LogRecord::getSize() { return m_impl->getSize();  }
void LogRecord::print( ostream&  os) { m_impl->print( os);  }
void LogRecord::store( char*  dest) { m_impl->store( dest);  }
