#include <string>
#include <iostream.h>
#include "LogRecordSpec.h"
#include "CallRecord.h"
#include "CallState.h"
#include "SimpleCall.h"
char* logStrings[] = {
	"simple",
	"WATCH",
	"CallStateInitializingImpl::inputMakeCall WATCH 1",
	"/home/bhp/rje/try/article/aspects/CallStateInitializingImpl.h",
	"m_callobj->getCallId()",
	"m_callid",
	"m_callingNumber",
	"m_calledNumber",
	"SimpleCallImpl::SimpleCallImpl WATCH 1",
	"/home/bhp/rje/try/article/aspects/SimpleCallImpl.h",
	"ERROR",
	"CallStateImpl::inputMakeCall ERROR 1",
	"/home/bhp/rje/try/article/aspects/CallStateImpl.h",
	"e.getState()",
	"Run::run WATCH 1",
	"/home/bhp/rje/try/article/aspects/call.c",
	"call",
	"getCallId()",
	"getCallingNumber()",
	"getCalledNumber()",
	"CallStateImpl::CallStateImpl ERROR 1",
	"errMsg",
	"SimpleCallImpl::SimpleCallImpl ERROR 1",
	"str.str()",
	"SimpleCallImpl::changeState ERROR 1",
	"CallStateCompleteImpl::inputDisconnectCalled WATCH 1",
	"/home/bhp/rje/try/article/aspects/CallStateCompleteImpl.h",
	"CallStateCompleteImpl::inputDisconnectCalling WATCH 1",
	"CallStateEndImpl::inputBillCall WATCH 1",
	"/home/bhp/rje/try/article/aspects/CallStateEndImpl.h",
	"CallStateEndImpl::inputAnswer WATCH 1",
	"CallStateImpl::inputRouteComplete ERROR 1",
	"CallStateTransientImpl::inputRouteComplete WATCH 1",
	"/home/bhp/rje/try/article/aspects/CallStateTransientImpl.h",
	"CallStateWaitForAnswerImpl::inputAnswer WATCH 1",
	"/home/bhp/rje/try/article/aspects/CallStateWaitForAnswerImpl.h",
	"getStringStateName()",
	"m_state",
	"*m_state->get()",
	"*(m_state->get())",
	"*(m_state.get())",
	"*this",
	"*scall",
	"Simple::Simple WATCH 1",
	"/home/bhp/rje/try/article/aspects/simple.c",
	"m_var1",
	"m_var2",
	"Simple::invarient ERROR 1",
	"var3",
	"var1",
	"var2",
	"Simple::Simple WATCH 2",
	"RunCall::run WATCH 1",
	"RunCall::run ERROR 1",
	"ex.getMsg().c_str()",
	"SimpleCallImpl::InvalidStateException ERROR 1",
	"SimpleCallImpl::inputMakeCall ERROR 1",
	"CallStateImpl::inputAnswer ERROR 1",
	"CallStateImpl::inputDisconnectCalled ERROR 1",
	"CallStateImpl::inputDisconnectCalling ERROR 1",
	"CallStateImpl::inputBillCall ERROR 1",
	"SimpleCallImpl::inputRouteComplete ERROR 1",
	"SimpleCallImpl::inputAnswer ERROR 1",
	"SimpleCallImpl::inputDisconnectCalled ERROR 1",
	"SimpleCallImpl::inputDisconnectCalling ERROR 1",
	"SimpleCallImpl::inputBillCall ERROR 1",
	"errMsg;",
	"m_state.get()->getStringStateName()",
	"/home/bhp/articleofc/aspects/call.c",
	"/home/bhp/articleofc/aspects/CallStateCompleteImpl.h",
	"/home/bhp/articleofc/aspects/CallStateEndImpl.h",
	"/home/bhp/articleofc/aspects/CallStateImpl.h",
	"/home/bhp/articleofc/aspects/CallStateInitializingImpl.h",
	"/home/bhp/articleofc/aspects/CallStateTransientImpl.h",
	"/home/bhp/articleofc/aspects/CallStateWaitForAnswerImpl.h",
	"/home/bhp/articleofc/aspects/simple.c",
	"/home/bhp/articleofc/aspects/SimpleCallImpl.h",
};
void lrecInsert( LogRecord& lrec, unsigned int name, const string& value )
{
	lrec.insert( name );
	lrec.insert( LogString );
	lrec.insert( value.size()+1 );
	lrec.insert( value.c_str(), value.size()+1 );
}

void lrecInsert( LogRecord& lrec, unsigned int name, const int& value )
{
	lrec.insert( name );
	lrec.insert( LogInt );
	lrec.insert( sizeof(int) );
	lrec.insert( &value, sizeof(int) );
}

void lrecInsert( LogRecord& lrec, unsigned int name, const unsigned long& value )
{
	lrec.insert( name );
	lrec.insert( LogLong );
	lrec.insert( sizeof(value) );
	lrec.insert( &value, sizeof(value) );
}

void lrecInsert( LogRecord& lrec, unsigned int name, const unsigned int& value )
{
	lrec.insert( name );
	lrec.insert( LogInt );
	lrec.insert( sizeof(int) );
	lrec.insert( &value, sizeof(unsigned int) );
}
void lrecInsert( LogRecord& lrec, unsigned int name, CallRecord& value )
{
	lrec.insert( name );
	lrec.insert( LogNV );
	lrec.insert( "CallRecord" );
	lrec.insert( 3 );
	lrecInsert( lrec, 18, value.getCallId() );
	lrecInsert( lrec, 19, value.getCallingNumber() );
	lrecInsert( lrec, 20, value.getCalledNumber() );
}
void lrecInsert( LogRecord& lrec, unsigned int name, CallState& value )
{
	lrec.insert( name );
	lrec.insert( LogNV );
	lrec.insert( "CallState" );
	lrec.insert( 1 );
	lrecInsert( lrec, 37, value.getStringStateName() );
}
void lrecInsert( LogRecord& lrec, unsigned int name, SimpleCall& value )
{ value.lrecInsertEx(lrec, name); }
