#ifndef _LOGRECORDSPEC_H
#define _LOGRECORDSPEC_H

#include "LogRecord.h"

class CallRecord;
class CallState;
class SimpleCall;
template<class TYPE>
inline void lrecInsert( LogRecord& lrec, unsigned int name, const TYPE& value )
{
	lrec.insert( name, &const_cast<TYPE&>(value), sizeof(TYPE) );
}

extern void lrecInsert( LogRecord& lrec, unsigned int name, const string& value );

extern void lrecInsert( LogRecord& lrec, unsigned int name, const int& value );

extern void lrecInsert( LogRecord& lrec, unsigned int name, const unsigned int& value );
extern void lrecInsert( LogRecord&, unsigned int, CallRecord& );
extern void lrecInsert( LogRecord&, unsigned int, CallState& );
extern void lrecInsert( LogRecord&, unsigned int, SimpleCall& );
#endif
