#ifndef _SimpleCall_H
#define _SimpleCall_H
#include "Call.h"
// Cut code starting
#include <string>
#include "LogRecordSpec.h"
class InvalidStateException
{
	void invarient()
	{
	}
public:
	InvalidStateException( const string& state ) : m_state(state)
	{

		invarient();
	}

	const string& getState() { return m_state; }
private:
	string m_state;
};

class CallState;
// Cut code ending
class SimpleCallImpl;
class SimpleCall  : public Call
{
public:
	~SimpleCall();
	void lrecInsertEx( LogRecord&  lrec, unsigned int  name);
	 SimpleCall( const string&  calledNumber, const string&  callingNumber);
	unsigned int getCallId();
	void changeState( CallState*  newState);
	void inputMakeCall();
	void inputRouteComplete();
	void inputAnswer();
	void inputDisconnectCalled();
	void inputDisconnectCalling();
	void inputBillCall();
private:
	SimpleCallImpl* m_impl;
};
#endif
