#ifndef _CALLSTATETRANSIENTIMPL_H
#define _CALLSTATETRANSIENTIMPL_H

#include "CallStateImpl.h"
#include "SimpleCall.h"
#include "CallStateWaitForAnswer.h"
#include "CallStateTransient.h"

/* GENCODE START
#include "CallState.h"
class SimpleCall;
 * GENCODE END */

class CallStateTransientImpl : public CallStateImpl
{
public:
	CallStateTransientImpl(SimpleCall* callobj, CallStateTransient*) : CallStateImpl(callobj)
	{
		m_name = "Transient";
	}

	void inputRouteComplete()
	{
		// WATCH@ m_callobj->getCallId()
		// Transition to the wait for answer state
		m_callobj->changeState( new CallStateWaitForAnswer(m_callobj) );
	}
};


#endif
