#ifndef _CALLSTATEWAITFORANSWERIMPL_H
#define _CALLSTATEWAITFORANSWERIMPL_H

#include "CallStateImpl.h"
#include "SimpleCall.h"
#include "CallStateComplete.h"
#include "CallStateWaitForAnswer.h"

/* GENCODE START
#include "CallState.h"
class SimpleCall;
 * GENCODE END */

class CallStateWaitForAnswerImpl : public CallStateImpl
{
public:
	CallStateWaitForAnswerImpl(SimpleCall* callobj, CallStateWaitForAnswer*) : CallStateImpl(callobj)
	{
		m_name = "WaitForAnswer";
	}

	void inputAnswer()
	{
		// WATCH@ m_callobj->getCallId()
		// Transition to the call completed state
		m_callobj->changeState( new CallStateComplete(m_callobj) );
	}
};


#endif
