/***************************************************************************
                          helloworld.h  -  description
                             -------------------
    begin                : Thu Nov 15 22:12:20 EST 2001
    copyright            : (C) 2001 by Jason Mott
    email                : jmott@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef HELLOWORLD_H
#define HELLOWORLD_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapp.h>
#include <qwidget.h>
#include <qpushbutton.h>
#include <qlabel.h>

/** HelloWorld is the base class of the project */
class HelloWorld : public QWidget
{
  Q_OBJECT 
  public:
    /** construtor */
    HelloWorld(QWidget* parent=0, const char *name=0);
    /** destructor */
    ~HelloWorld();

  public slots:
      void intCount();
      void disableCountButton();
      void resetCount();

  signals:
      void maxCountReached();

  private:
      int myCount;
      static const int MAX_COUNT = 30;
      QPushButton * countButton;
      QPushButton * resetButton;
      QLabel * countLabel;

};

#endif
