#include "BufferImpl.h"
Buffer::~Buffer() { delete m_impl; }
 Buffer::Buffer( int  size) { m_impl = new BufferImpl( size,  this);  }
void Buffer::load( char*  loadData, unsigned int  size) { m_impl->load( loadData, size);  }
Buffer::iterator Buffer::insert( const Buffer::iterator&  it, const void*  data, unsigned int  size) { return m_impl->insert( it, data, size);  }
bool Buffer::sizeExceeded( const Buffer::iterator&  it, unsigned int  size) { return m_impl->sizeExceeded( it, size);  }
Buffer::iterator Buffer::begin() { return m_impl->begin();  }
Buffer::iterator Buffer::end() { return m_impl->end();  }
unsigned int Buffer::size() { return m_impl->size();  }
char* Buffer::get() { return m_impl->get();  }
void Buffer::clear() { m_impl->clear();  }
