#ifndef _LogStore_H
#define _LogStore_H
// Cut code starting
#include "LogRecord.h"
#include <iostream.h>
class LogStoreException
{
public:
	LogStoreException( const string& msg ) : m_msg(msg)
	{
	}

	const string& getMsg() { return m_msg; }
private:
	string m_msg;
};
// Cut code ending
class LogStoreImpl;
class LogStore 
{
public:
	static LogStore* GetInstance();
	void store( LogRecord*  record);
	void outputAll( ostream&  out);
	void setImpl(LogStoreImpl* impl);
private:
	LogStoreImpl* m_implLogStore;
};
#endif
