#ifndef _LOGSTOREFACTORYIMPL_H
#define _LOGSTOREFACTORYIMPL_H

#include "LogStoreMemory.h"
#include "LogStoreFactory.h"

/* GENCODE START
#include <memory>
#include "LogStore.h"
   GENCODE END */

class LogStoreFactoryImpl
{
public:
	LogStoreFactoryImpl(LogStoreFactory*)
	{
	}

	auto_ptr<LogStore> createLogStore()
	{
		return auto_ptr<LogStore>(new LogStoreMemory());
	}
};

#endif
