#include "SimpleCallImpl.h"
SimpleCall::~SimpleCall() { delete m_impl; }
void SimpleCall::lrecInsertEx( LogRecord&  lrec, unsigned int  name) { m_impl->lrecInsertEx( lrec, name);  }
 SimpleCall::SimpleCall( const string&  calledNumber, const string&  callingNumber) { m_impl = new SimpleCallImpl( calledNumber, callingNumber,  this); Call::setImpl(m_impl);  }
unsigned int SimpleCall::getCallId() { return m_impl->getCallId();  }
void SimpleCall::changeState( CallState*  newState) { m_impl->changeState( newState);  }
void SimpleCall::inputMakeCall() { m_impl->inputMakeCall();  }
void SimpleCall::inputRouteComplete() { m_impl->inputRouteComplete();  }
void SimpleCall::inputAnswer() { m_impl->inputAnswer();  }
void SimpleCall::inputDisconnectCalled() { m_impl->inputDisconnectCalled();  }
void SimpleCall::inputDisconnectCalling() { m_impl->inputDisconnectCalling();  }
void SimpleCall::inputBillCall() { m_impl->inputBillCall();  }
