#ifndef _CALLSTATEINITIALIZINGIMPL_H
#define _CALLSTATEINITIALIZINGIMPL_H

#include "CallStateImpl.h"
#include "SimpleCall.h"
#include "CallStateTransient.h"
#include "CallStateInitializing.h"

/* GENCODE START
#include "CallState.h"
class SimpleCall;
 * GENCODE END */

class CallStateInitializingImpl : public CallStateImpl
{
public:
	CallStateInitializingImpl(SimpleCall* callobj, CallStateInitializing*) : CallStateImpl(callobj)
	{
		m_name = "Initializing";
	}

	void inputMakeCall()
	{
		// Perform routing function here, code not shown
		// WATCH@ m_callobj->getCallId()
		m_callobj->changeState( new CallStateTransient(m_callobj) );
	}
};


#endif






















