/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Thu Nov 15 22:12:20 EST 2001
    copyright            : (C) 2001 by Jason Mott
    email                : jmott@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "helloworld.h"

static const char *description =
	I18N_NOOP("HelloWorld");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "helloworld", I18N_NOOP("HelloWorld"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2001, Jason Mott", 0, 0, "jmott@users.sourceforge.net");
  aboutData.addAuthor("Jason Mott",0, "jmott@users.sourceforge.net");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  HelloWorld *helloworld = new HelloWorld();
  a.setMainWidget(helloworld);
  helloworld->show();  

  return a.exec();
}
