%.hi : %.h
	genimpl.rb $(>)
	
%.ci : %.h
	genimpl.rb $(>) -i

%.o : %.c
	g++ -c $(>)

%.c : %Impl.h
	rm -f $(<); cp $(<:B)Impl.ci $(<); chmod -w $(<)
	if [ ! -f $(<:B).h ]; then >$(<:B).h; fi
	if ( ! diff $(<:B).h $(<:B)Impl.hi > /dev/null ); then rm -f $(<:B).h; cp $(<:B)Impl.hi $(<:B).h; chmod -w $(<:B).h; fi 

include 'implfiles'

GENERATED_FILES = $(IMPL_ABSTRACT_FILES) $(IMPL_FILES) $(IMPL_ABSTRACT_FILES:B:/Impl/.c) $(IMPL_FILES:B:/Impl/.c) 

SHELL = /usr/bin/ksh

all: $(GENERATED_FILES) 

clean: 
	rm -f $(GENERATED_FILES) 
	rm -f *.hi *.ci 
	rm -f LogRecordSpec.c LogRecordSpec.h 
	rm -f $(IMPL_FILES:B:/Impl/.h/) $(IMPL_ABSTRACT_FILES:B:/Impl/.h/) $(IMPL_FILES:B:/Impl/.c/) $(IMPL_ABSTRACT_FILES:B:/Impl/.c/)

