%.o : %.c
	g++ -g -c $(>)

CC =  g++

GENERATED_OBJECTS = $(IMPL_FILES:B:/Impl/.o/) $(IMPL_ABSTRACT_FILES:B:/Impl/.o) LogRecordSpec.o

/*SRC_OBJECTS = */
include 'implfiles'

SHELL = /usr/bin/ksh

all: libcall.so call logcat

call: call.o 
	g++ -g -o$(<) call.o -R. -L. -lcall

logcat: logcat.o
	g++ -o$(<) logcat.o
	
libcall.so: extra.o $(GENERATED_FILES) $(GENERATED_OBJECTS) $(SRC_OBJECTS) 
	g++ -g -G -o$(<) extra.o $(GENERATED_OBJECTS) $(SRC_OBJECTS) 

clean: 
	rm -f *.o call logcat
	rm -f libcall.so try

